"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

InspectorView subclass:#ClassInspectorView
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Interface-Inspector'
!

ClassInspectorView  comment:'
COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

$Header: /cvs/stx/stx/libtool/ClassInspectorView.st,v 1.4 1995-08-10 18:37:14 claus Exp $
'!

!ClassInspectorView methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1994 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

version
"
$Header: /cvs/stx/stx/libtool/ClassInspectorView.st,v 1.4 1995-08-10 18:37:14 claus Exp $
"
!

documentation
"
    modified Inspector for Classes; in addition to instance variables,
    also shows ClassVariables in its left SelectionList.
"
! !

!ClassInspectorView methodsFor:'accessing'!

listOfNames
    "return a list of names to show in the selectionList"

    |aList|

    aList := super listOfNames.

    "/
    "/ add class variables
    "/
    inspectedObject class withAllSuperclasses reverse do:[:aClass |
	|varNames|

	varNames := aClass classVarNames.
	varNames notEmpty ifTrue:[
	    aList add:'--- classvariables from ' , aClass name , ' ---'.
	    varNames do:[:classVarName |
		aList add:classVarName
	    ]
	]
    ].
    ^ aList
! !


